All of lore.kernel.org
 help / color / mirror / Atom feed
* [PATCH] update-linux-headers.sh: Handle new kernel uapi/ directories
@ 2012-10-22 11:54 ` Peter Maydell
  0 siblings, 0 replies; 7+ messages in thread
From: Peter Maydell @ 2012-10-22 11:54 UTC (permalink / raw)
  To: qemu-devel; +Cc: patches, Avi Kivity, Marcelo Tosatti, kvm, Jan Kiszka

Recent kernels have moved to keeping the userspace headers
in uapi/ subdirectories. This breaks the detection of whether an
architecture has KVM support in the kernel because kvm.h has
moved in the kernel source tree. Update the check to support
both the old and new locations.

Signed-off-by: Peter Maydell <peter.maydell@linaro.org>
---
This would otherwise cause us to ignore the architectures which
have moved over to uapi/ (which for QEMU's purposes means "everything
but x86"...)

 scripts/update-linux-headers.sh |    3 ++-
 1 file changed, 2 insertions(+), 1 deletion(-)

diff --git a/scripts/update-linux-headers.sh b/scripts/update-linux-headers.sh
index 67be2ef..4c7b566 100755
--- a/scripts/update-linux-headers.sh
+++ b/scripts/update-linux-headers.sh
@@ -34,7 +34,8 @@ ARCHLIST=$(cd "$linux/arch" && echo *)
 
 for arch in $ARCHLIST; do
     # Discard anything which isn't a KVM-supporting architecture
-    if ! [ -e "$linux/arch/$arch/include/asm/kvm.h" ]; then
+    if ! [ -e "$linux/arch/$arch/include/asm/kvm.h" ] &&
+        ! [ -e "$linux/arch/$arch/include/uapi/asm/kvm.h" ] ; then
         continue
     fi
 
-- 
1.7.9.5


^ permalink raw reply related	[flat|nested] 7+ messages in thread

end of thread, other threads:[~2012-10-31  1:33 UTC | newest]

Thread overview: 7+ messages (download: mbox.gz follow: Atom feed
-- links below jump to the message on this page --
2012-10-22 11:54 [PATCH] update-linux-headers.sh: Handle new kernel uapi/ directories Peter Maydell
2012-10-22 11:54 ` [Qemu-devel] " Peter Maydell
2012-10-30  9:48 ` Peter Maydell
2012-10-30 18:33   ` Jan Kiszka
2012-10-30 18:33     ` Jan Kiszka
2012-10-31  0:49     ` Marcelo Tosatti
2012-10-31  0:49       ` [Qemu-devel] " Marcelo Tosatti

This is an external index of several public inboxes,
see mirroring instructions on how to clone and mirror
all data and code used by this external index.